package main

import (
	"github.com/tangs-drm/go-tool/config"
	"github.com/tangs-drm/go-tool/http"
	"github.com/tangs-drm/go-tool/log"
)

func main() {
	// read config file
	var conf = config.NewConfig()
	var confPath = ""
	var err = conf.ParseFile(confPath)
	if err != nil {
		log.Error("blogAppraise parse config file with path: %v error: %v", confPath, err)
		return
	}

	// redirect log into file
	var logFile = conf.String("LOG_FILE")
	err = log.RedirectFile(logFile)
	if err != nil {
		log.Error("blogAppraise redirect log file info file: %v error: %v", logFile, err)
		return
	}

	// register http router

	// listen http port
	var httpPort = conf.String("LISTEN_PORT")
	var server =http.NewServerMux()
	err = http.ListenAndServe(httpPort, server)
	if err != nil {
		log.Error("blogAppraise listen port: %v error: %v", httpPort, err)
		return
	}
}
